> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create management session

> Creates a Beneficiary Hub management session for an organization end-user to manage their beneficiary details.




## OpenAPI

````yaml /api-reference/paysway-api.yaml post /beneficiaries/organizations/sessions
openapi: 3.1.0
info:
  title: PaySway API
  version: 1.2.0
servers:
  - url: https://api.paysway.dev
    description: Development environment
  - url: https://api.paysway.io
    description: Production environment
security: []
paths:
  /beneficiaries/organizations/sessions:
    post:
      tags:
        - Beneficiary Hub
      summary: Create management session
      description: >
        Creates a Beneficiary Hub management session for an organization
        end-user to manage their beneficiary details.
      parameters:
        - name: Idempotency-Key
          description: >-
            The idempotency key is a unique value sent with a request to prevent
            duplicate processing caused by retries.
          in: header
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagementSessionCreateRequest'
      responses:
        '201':
          description: Management session created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagementSession'
      security:
        - oauth2ClientCredentials: []
components:
  schemas:
    ManagementSessionCreateRequest:
      type: object
      properties:
        externalUserId:
          type: string
        returnUrl:
          type: string
          format: uri
        options:
          $ref: '#/components/schemas/ManagementSessionOptions'
      required:
        - externalUserId
        - returnUrl
    ManagementSession:
      type: object
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          format: uri
      required:
        - id
        - url
    ManagementSessionOptions:
      type: object
      properties:
        allowedRecipientTypes:
          description: >
            A list of recipient types allowed in this session.  - If only one
            element is provided (e.g. ["INDIVIDUAL"]), the session will be
            preselected to that type and the user will not see a choice. - If
            multiple are provided (e.g. ["INDIVIDUAL", "BUSINESS"]), the user
            can choose from the allowed types. - If field is omitted, the user
            will be able to choose from all available types.
          type: array
          items:
            $ref: '#/components/schemas/PartyType'
          minItems: 1
          uniqueItems: true
        allowedCountries:
          description: >
            A list of countries allowed in this session.  - If only one element
            is provided (e.g. ["GB"]), the session will be preselected to that
            country and the user will not see a choice. - If multiple are
            provided (e.g. ["GB", "US"]), the user can choose from the allowed
            countries. - If field is omitted, the user will be able to choose
            from all available countries.
          type: array
          items:
            $ref: '#/components/schemas/CountryCode'
          minItems: 1
          uniqueItems: true
    PartyType:
      type: string
      enum:
        - INDIVIDUAL
        - BUSINESS
    CountryCode:
      description: ISO 3166-1 alpha-2 code
      type: string
      pattern: ^[A-Z]{2,2}$
  securitySchemes:
    oauth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth2/token
          scopes: {}

````